Package org.apache.wiki.filters

## Class PingWeblogsComFilter

- java.lang.Object
- - org.apache.wiki.api.filters.BasePageFilter
  - - org.apache.wiki.filters.PingWeblogsComFilter

All Implemented Interfaces:
  `PageFilter`

    public class PingWeblogsComFilter
    extends BasePageFilter

A very dumb class that pings weblogs.com on each save. INTERNAL USE ONLY SO FAR! Look, but don't use as-is.

### Field Summary

Fields
`static java.lang.String` `PROP_PINGURL` The property name for the URL to ping.

### Fields inherited from class org.apache.wiki.api.filters.BasePageFilter

`m_engine`

### Constructor Summary

Constructors
`PingWeblogsComFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize​(Engine engine, java.util.Properties props)`
`void` `postSave​(Context context, java.lang.String pagecontent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.filters.PageFilter

`destroy, postTranslate, preSave, preTranslate`

### Field Detail

#### PROP_PINGURL

    public static final java.lang.String PROP_PINGURL

The property name for the URL to ping. Value is `"pingurl"`.

See Also:
  Constant Field Values

### Constructor Detail

#### PingWeblogsComFilter

    public PingWeblogsComFilter()

### Method Detail

#### initialize

    public void initialize​(Engine engine,
                           java.util.Properties props)

Specified by:
  `initialize` in interface `PageFilter`
Overrides:
  `initialize` in class `BasePageFilter`

#### postSave

    public void postSave​(Context context,
                         java.lang.String pagecontent)